For Developers
Delete Team Role
DELETE https://ed.link/api/v2/teams/:team_id/roles/:team_role_id
Deletes a custom role. Cannot delete default platform-managed roles or roles currently assigned to active members.
Permissions
Requires the team_roles.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:team_role_id | UUID | Yes | The ID of the role to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/roles/${team_role_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "3b7d4bad-9bdd-2b0d-7b3d-cb6d9b1deb4d",
"deleted": true
}
}
